-- Attempt to free some memory by destroying some objects with Always Active flag after they are no longer needed

function main(self)
	if self.State == 0 then
		self.DrawFlags.NoDraw = true
		self.State = 1
	end
	if self.State == 1 and GetClaw().X > self.XMin and GetClaw().X < self.XMax and GetClaw().Y > self.YMin and GetClaw().Y < self.YMax then
		for k = 1,8,1 do
			if self.User[k-1] ~= 0 then
				if GetObject(self.User[k-1]) then
					GetObject(self.User[k-1]):Destroy()
				end
			end
		end
		self.State = 2
	end
	if self.State == 2 then
		self:Destroy()
	end
end